Package org.eclipse.mat.ui.snapshot.views.inspector

## Class InspectorView.InfoItem

- java.lang.Object
- - org.eclipse.mat.ui.snapshot.views.inspector.InspectorView.InfoItem

Enclosing class:
  InspectorView

    public static class InspectorView.InfoItem
    extends java.lang.Object

### Constructor Summary

Constructors
`InfoItem​(ImageDescriptor descriptor, java.lang.String text)`
`InfoItem​(IObject object, ImageDescriptor descriptor, java.lang.String text)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ImageDescriptor` `getDescriptor()`
`java.lang.String` `getText()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InfoItem

    public InfoItem​(ImageDescriptor descriptor,
                    java.lang.String text)

#### InfoItem

    public InfoItem​(IObject object,
                    ImageDescriptor descriptor,
                    java.lang.String text)

### Method Detail

#### getDescriptor

    public ImageDescriptor getDescriptor()

#### getText

    public java.lang.String getText()